﻿namespace Jtr.Parsing.Json.Syntax;

public readonly struct JsonBoolSyntax : IJsonSyntax
{
    public Lexer<JsonToken>.Token Token { get; }
    public bool Value => bool.TryParse(Token.Lexeme, out var val) && val;

    public JsonBoolSyntax(Lexer<JsonToken>.Token token)
    {
        Token = token;
    }
}