﻿namespace Jtr.Parsing.Json.Syntax;

public readonly struct JsonNumberSyntax : IJsonSyntax
{
    public Lexer<JsonToken>.Token Token { get; }
    public double Value => double.TryParse(Token.Lexeme.Replace('.', ','), out var val) ? val : default;

    public JsonNumberSyntax(Lexer<JsonToken>.Token token)
    {
        Token = token;
    }
}