﻿namespace Jtr.Parsing.Json.Syntax;

public readonly partial struct JsonObjectSyntax : IJsonSyntax
{
    public Lexer<JsonToken>.Token Token { get; }
    public JsonPropertySyntax[] Properties { get; }

    public JsonObjectSyntax(Lexer<JsonToken>.Token token, JsonPropertySyntax[] properties)
    {
        Token = token;
        Properties = properties;
    }
}