﻿namespace Jtr.Parsing.Json.Syntax;

public readonly struct JsonPropertySyntax : IJsonSyntax
{
    public Lexer<JsonToken>.Token Token => Key;
    public Lexer<JsonToken>.Token Key { get; }
    public IJsonSyntax Value { get; }

    public JsonPropertySyntax(Lexer<JsonToken>.Token key, IJsonSyntax value)
    {
        Key = key;
        Value = value;
    }
}