﻿namespace Jtr.Parsing;

public static class Visitor
{
    public delegate void Visit<TVisitee>(TVisitee visitee);
    public delegate void Visit<TVisitee, TContext>(TVisitee visitee, TContext context);
    public delegate TOut Visit<TVisitee, TContext, TOut>(TVisitee visitee, TContext context);
}