﻿using System.CommandLine.Binding;
using Jtr.Tools.CLI.Extensions;

namespace Jtr.Tools.CLI;

public partial class Json2CSharpCommand
{
    public class CommandOptionsBinder : BinderBase<CommandOptions>
    {
        protected override CommandOptions GetBoundValue(BindingContext context) =>
            new CommandOptions
            {
                RootClassName = context.ParseResult.GetValueForOption(RootClassNameOption),
                Namespace = context.ParseResult.GetValueForOption(NamespaceOption),
            }.WithCommonBindings(context);
    }
}