using System.CommandLine.Binding;
using Jtr.Tools.CLI.Extensions;

namespace Jtr.Tools.CLI;

public partial class JsonPathCommand
{
    public class CommandOptionsBinder : BinderBase<CommandOptions>
    {
        protected override CommandOptions GetBoundValue(BindingContext context) =>
            new CommandOptions
            {
                PathExpression = context.ParseResult.GetValueForOption(PathExpressionOption)
            }.WithCommonBindings(context);
    }
}