﻿using System.CommandLine;

namespace Jtr.Tools.CLI.Extensions;

public static class CommandExtensions
{
    public static void AddInputOutputCommandOptions(this Command command)
    {
        command.AddOption(SharedCommandOptions.InputOption);
        command.AddOption(SharedCommandOptions.InputFileOption);
        command.AddArgument(SharedCommandOptions.InputArgument);
        command.AddOption(SharedCommandOptions.OutputOption);
        command.AddOption(SharedCommandOptions.OutputFileOption);
    }
}