﻿using System.CommandLine.Binding;
using Jtr.Tools.CLI.Extensions;

namespace Jtr.Tools.CLI;

public partial class JsonBeautifyCommand
{
    public class CommandOptionsBinder : BinderBase<CommandOptions>
    {
        protected override CommandOptions GetBoundValue(BindingContext context) =>
            new CommandOptions
            {
                IndentSize = context.ParseResult.GetValueForOption(IndentSizeOption)
            }.WithCommonBindings(context);
    }
}